{ ... }:
{
  kropcloud =
    let
      serverIp = "192.168.1.172";
      k3sMaster = "192.168.1.170";
    in
    {
      services = {
        k3s = {
          enable = true;
          master = k3sMaster;
        };
      };
      networking = {
        ipv4 = {
          address = serverIp;
          prefixLength = 24;
          defaultGateway = "192.168.1.1";
        };
      };
    };
}
